[Pkg-voip-commits] r1742 - in asterisk/branches/sarge/debian: . patches

Kilian Krause kilian at costa.debian.org
Sun May 7 18:08:13 UTC 2006


Author: kilian
Date: 2006-05-07 18:08:11 +0000 (Sun, 07 May 2006)
New Revision: 1742

Removed:
   asterisk/branches/sarge/debian/asterisk-classic.asterisk.init
   asterisk/branches/sarge/debian/patches/100_nonroot.dpatch
   asterisk/branches/sarge/debian/patches/20_Makefile.dpatch
   asterisk/branches/sarge/debian/patches/25_subdirs_Makefiles.dpatch
Modified:
   asterisk/branches/sarge/debian/asterisk-config.postinst
   asterisk/branches/sarge/debian/changelog
   asterisk/branches/sarge/debian/patches/00list
   asterisk/branches/sarge/debian/patches/30_ast-data-dir.dpatch
   asterisk/branches/sarge/debian/patches/40_initgroups.dpatch
   asterisk/branches/sarge/debian/patches/arm.dpatch
   asterisk/branches/sarge/debian/patches/chanzap_disable_r2.dpatch
   asterisk/branches/sarge/debian/patches/correct_pid_display.dpatch
   asterisk/branches/sarge/debian/patches/nomarch.dpatch
   asterisk/branches/sarge/debian/patches/nooptimize.dpatch
   asterisk/branches/sarge/debian/patches/option_detach.dpatch
   asterisk/branches/sarge/debian/patches/zap_restart.dpatch
   asterisk/branches/sarge/debian/rules
   asterisk/branches/sarge/debian/watch
Log:
update our sarge backport.


Deleted: asterisk/branches/sarge/debian/asterisk-classic.asterisk.init
===================================================================
--- asterisk/branches/sarge/debian/asterisk-classic.asterisk.init	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/asterisk-classic.asterisk.init	2006-05-07 18:08:11 UTC (rev 1742)
@@ -1,162 +0,0 @@
-#! /bin/sh
-#
-# asterisk	start the asterisk PBX
-# (c) Mark Purcell <msp at debian.org>
-# May be distributed under the terms of this General Public License
-#
-# Based on:
-#
-# skeleton	example file to build /etc/init.d/ scripts.
-#		This file should be used to construct scripts for /etc/init.d.
-#
-#		Written by Miquel van Smoorenburg <miquels at cistron.nl>.
-#		Modified for Debian GNU/Linux
-#		by Ian Murdock <imurdock at gnu.ai.mit.edu>.
-#
-# Version:	@(#)skeleton  1.9  26-Feb-2001  miquels at cistron.nl
-#
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-NAME=asterisk
-USER=$NAME
-GROUP=$USER
-DAEMON=/usr/sbin/$NAME
-DESC="Asterisk PBX"
-PIDFILE="/var/run/asterisk/asterisk.pid"
-
-# by default: use real-time priority
-PARAMS=""
-AST_REALTIME="yes"
-RUNASTERISK="no"
-if [ -r /etc/default/$NAME ]; then . /etc/default/$NAME; fi
-
-if [ "$RUNASTERISK" != "yes" ];then
-	echo "Asterisk not yet configured. Edit /etc/default/asterisk first."
-	exit 0
-fi
-
-if [ "$AST_REALTIME" != "no" ]
-then
-  PARAMS="$PARAMS -p"
-fi
-
-if [ "x$USER" = "x" ]
-then
-  echo "Error: empty USER name"
-  exit 1
-fi
-if [ `id -u "$USER"` = 0 ]
-then
-  echo "Starting as root not supported."
-  exit 1
-fi
-PARAMS="$PARAMS -U $USER"
-
-if [ "x$AST_DEBUG_PARAMS" = x ] 
-then
-  AST_DEBUG_PARAMS=-cvvvvvddddd
-fi
-if [ "$RUNASTSAFE" = "yes" ];then
-	# The value of WRAPPER_DAEMON in can be set in /etc/default/asterisk
-	WRAPPER_DAEMON=${WRAPPER_DAEMON:-/usr/sbin/safe_asterisk}
-	REALDAEMON="$WRAPPER_DAEMON"
-else
-	REALDAEMON="$DAEMON"
-fi
-
-test -x $DAEMON || exit 0
-
-set -e
-
-status() {
-	plist=`ps auxw | grep "$DAEMON" | grep -v grep | awk '{print $2}' | tr '\012' ' '`
-	if [ "$plist" = "" ]; then
-		echo "$DESC is stopped"
-		return 1
-	else
-		echo "$DESC is running: $plist"
-		return 0
-	fi
-}
-
-case "$1" in
-  debug)
-	# we add too many special parameters that I don't want to skip
-	# accidentally. I'm afraid that skipping -U once may cause
-	# confusing results. I also want to maintain the user's choice
-	# of -p
-	echo "Debugging $DESC: "
-	$DAEMON $PARAMS $AST_DEBUG_PARAMS
-	exit 0
-	;;
-  start)
-	if status > /dev/null; then
-		echo "$DESC is already running. Use restart."
-		exit 1
-	fi
-	echo -n "Starting $DESC: "
-	if [ "$RUNASTSAFE" != "yes" ];then
-		# TODO: what if we cought the wrapper just as its asterisk
-		# was killed? status should check for the wrapper if we're in
-		# "safe mode"
-		if status > /dev/null; then
-			echo "$DESC is already running. Use restart."
-			exit 1
-		fi
-	fi
-	echo -n "Starting $DESC: "
-	start-stop-daemon --start --group $GROUP --pidfile "$PIDFILE" \
-		--exec $REALDAEMON -- $PARAMS
-	echo "$NAME."
-	;;
-  stop)
-	echo -n "Stopping $DESC: "
-	if [ "$RUNASTSAFE" = "yes" ];then
-		# hopefully this will work. Untested
-		$REALDAEMON -rx 'stop now' > /dev/null  || true
-	else
-		# Try gracefully.
-		# this may hang in some cases. Specifically, when the asterisk
-		# processes is stopped. No bother to worry about cleanup: 
-		# it will either fail or die when asterisk dies.
-		( $DAEMON -rx 'stop now' > /dev/null 2>&1 & ) &
-	fi
-	echo -n "$NAME"
-	## giving a small grace time to shut down cleanly.
-	#sleep 2 # you can add timeouts in the comma
-	if [ "$RUNASTSAFE" = "yes" ];then
-		start-stop-daemon --quiet --oknodo --stop --exec $WRAPPER_DAEMON 
-	fi
-	# just making sure it's really, really dead. 
-	# KILL is necessary just in case there's an asterisk -r in the background
-	start-stop-daemon --stop --quiet --oknodo --retry=0/2/TERM/2/KILL/5 --exec $REALDAEMON
-	echo "."
-	;;
-  reload)
-	echo "Reloading $DESC configuration files."
-	$DAEMON -rx 'reload'
-	;;
-  logger-reload)
-	$DAEMON -rx 'logger reload'
-	;;
-  extensions-reload)
-	echo "Reloading $DESC configuration files."
-	$DAEMON -rx 'extensions reload'
-	;;
-  restart|force-reload)
-	$0 stop
-	$0 start
-	;;
-  status)
-	status
-	exit $?
-	;;
-  *)
-	N=/etc/init.d/$NAME
-	# echo "Usage: $N {start|stop|restart|reload|logger-reload|extensions-reload|force-reload}" >&2
-	echo "Usage: $N {start|stop|status|debug|restart|force-reload}" >&2
-	exit 1
-	;;
-esac
-
-exit 0

Modified: asterisk/branches/sarge/debian/asterisk-config.postinst
===================================================================
--- asterisk/branches/sarge/debian/asterisk-config.postinst	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/asterisk-config.postinst	2006-05-07 18:08:11 UTC (rev 1742)
@@ -36,8 +36,8 @@
 	chmod 0660 /etc/asterisk/*.conf
 
 	# doing web-vmail foo...
-	chown asterisk:www-data /etc/asterisk/voicemail.conf
-	chmod 0640 /etc/asterisk/voicemail.conf
+	[ -f /etc/asterisk/voicemail.conf ] && chown asterisk:www-data /etc/asterisk/voicemail.conf
+	[ -f /etc/asterisk/voicemail.conf ] && chmod 0640 /etc/asterisk/voicemail.conf
 
     ;;
 

Modified: asterisk/branches/sarge/debian/changelog
===================================================================
--- asterisk/branches/sarge/debian/changelog	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/changelog	2006-05-07 18:08:11 UTC (rev 1742)
@@ -1,14 +1,41 @@
-asterisk (1:1.2.7.1.dfsg-2) UNRELEASED; urgency=high
+asterisk (1:1.2.7.1.dfsg-3) UNRELEASED; urgency=low
 
+  * Sarge backport.
+
   [ Mark Purcell ]
   * NOT RELEASED YET
+  * Update debian/watch for numeric upstream versions
 
   [ Kilian Krause ]
+  * Remove unused correct_pid.dpatch (has apparently been fixed with 1.2
+    upstream)
+  * debian/patches/100_nonroot.dpatch, debian/patches/20_Makefile.dpatch,
+    debian/patches/25_subdirs_Makefiles.dpatch: Remove unused patches
+
+  [ Tzafrir Cohen ]
+  * reunite init.d and logrotate scripts in the package asterisk
+  * Re-add correct_pid_display.dpatch
+
+ -- Mark Purcell <msp at debian.org>  Sat,  6 May 2006 11:24:21 +0100
+
+asterisk (1:1.2.7.1.dfsg-2) unstable; urgency=high
+
+  [ Kilian Krause ]
   * Urgency bumped since 1.2.7 is a security update [CVE-2006-1827]
     (Closes: #364195)
 
- -- Kilian Krause <kilian at debian.org>  Fri, 21 Apr 2006 22:41:40 +0200
+  [ Mark Purcell ]
+  * Previous Upload also fixes:
+    - cannot install - directories not created (Closes: #360233)
+    - package uninstallable (Closes: #359970)
+  * Update postinst to fix: fails to upgrade when /etc/asterisk/voicemail.conf
+    is deleted (Closes: #360220)
+  * Link debian/asterisk-bristuff.asterisk.{logrotate,init} & 
+    provide debian/asterisk-classic.asterisk.logfile
+    - Fixes: init.d and logrotate.d conflicts (Closes: #360181)
 
+ -- Mark Purcell <msp at debian.org>  Sun, 23 Apr 2006 13:26:29 +0100
+
 asterisk (1:1.2.7.1.dfsg-1) unstable; urgency=low
 
   [ Tzafrir Cohen ]

Modified: asterisk/branches/sarge/debian/patches/00list
===================================================================
--- asterisk/branches/sarge/debian/patches/00list	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/00list	2006-05-07 18:08:11 UTC (rev 1742)
@@ -10,7 +10,7 @@
 nomarch
 nooptimize
 chanzap_disable_r2.dpatch
+correct_pid_display
 arm
-correct_pid_display
 zap_restart
 backport_playdtmf

Deleted: asterisk/branches/sarge/debian/patches/100_nonroot.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/100_nonroot.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/100_nonroot.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -1,42 +0,0 @@
-#! /bin/sh -e
-## nonroot.dpatch by Mark Purcell <msp at debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Patch asterisk to run as non root (only required for VoFR)
-
-if [ $# -lt 1 ]; then
-    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
-    exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
-
-case "$1" in
-    -patch) patch -p1 ${patch_opts} < $0;;
-    -unpatch) patch -R -p1 ${patch_opts} < $0;;
-    *)
-        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
-        exit 1;;
-esac
-
-exit 0
-
- at DPATCH@
-
---- asterisk-0.9.1+1.0RC2.orig/asterisk.c
-+++ asterisk-0.9.1+1.0RC2/asterisk.c
-@@ -1520,13 +1522,6 @@
- 	tdd_init();
- 	if (getenv("HOME")) 
- 		snprintf(filename, sizeof(filename), "%s/.asterisk_history", getenv("HOME"));
--	/* Check if we're root */
--	/*
--	if (geteuid()) {
--		ast_log(LOG_ERROR, "Must be run as root\n");
--		exit(1);
--	}
--	*/
- 	/* Check for options */
- 	while((c=getopt(argc, argv, "hfdvqprRgcinx:C:")) != -1) {
- 		switch(c) {

Deleted: asterisk/branches/sarge/debian/patches/20_Makefile.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/20_Makefile.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/20_Makefile.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -1,105 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## Makefile.dpatch by Jose Carlos Garcia Sogo <jsogo at debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Patch Makefile to build under Debian GNU/Linux
-
- at DPATCH@
-diff -urNad --exclude=CVS --exclude=.svn ./contrib/scripts/autosupport /tmp/dpep-work.Bh75kd/asterisk-1.0.9.dfsg/contrib/scripts/autosupport
---- ./contrib/scripts/autosupport	2005-03-11 17:15:22.000000000 +0000
-+++ /tmp/dpep-work.Bh75kd/asterisk-1.0.9.dfsg/contrib/scripts/autosupport	2005-08-09 21:56:26.000000000 +0100
-@@ -1,3 +1,4 @@
-+#!/bin/bash
- #
- # Collect support information
- #
-@@ -8,7 +9,6 @@
- # Distributed under the terms of the GNU General Public
- # License
- #
--#!/bin/bash
- 
- OUTPUT=$HOME/digiuminfo
- 
-diff -urNad --exclude=CVS --exclude=.svn ./Makefile /tmp/dpep-work.Bh75kd/asterisk-1.0.9.dfsg/Makefile
---- ./Makefile	2005-08-09 21:56:06.000000000 +0100
-+++ /tmp/dpep-work.Bh75kd/asterisk-1.0.9.dfsg/Makefile	2005-08-09 21:56:07.000000000 +0100
-@@ -18,42 +18,6 @@
- 
- OSARCH=$(shell uname -s)
- 
--ifeq (${OSARCH},Linux)
--PROC=$(shell uname -m)
--ifeq ($(PROC),x86_64)
--# You must have GCC 3.4 to use k8, otherwise use athlon
--PROC=k8
--#PROC=athlon
--OPTIONS+=-m64
--endif
--ifeq ($(PROC),sparc64)
--#The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
--#This works for even old (2.96) versions of gcc and provides a small boost either way.
--#A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesn't support it.
--#So we go lowest common available by gcc and go a step down, still a step up from
--#the default as we now have a better instruction set to work with. - Belgarath
--PROC=ultrasparc
--OPTIONS+=$(shell if $(CC) -mtune=$(PROC) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-mtune=$(PROC)"; fi)
--OPTIONS+=$(shell if $(CC) -mcpu=v8 -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-mcpu=v8"; fi)
--OPTIONS+=-fomit-frame-pointer
--endif
--
--MPG123TARG=linux
--endif
--
--ifeq ($(findstring BSD,${OSARCH}),BSD)
--PROC=$(shell uname -m)
--endif
--
--# Pentium Pro Optimize
--#PROC=i686
--
--# Pentium & VIA processors optimize
--#PROC=i586
--
--#PROC=k6
--#PROC=ppc
--
- PWD=$(shell pwd)
- 
- ######### More GSM codec optimization
-@@ -63,7 +27,7 @@
- #K6OPT  = -DK6OPT
- 
- #Tell gcc to optimize the asterisk's code
--OPTIMIZE+=-O6
-+OPTIMIZE+=-O2
- 
- #Include debug symbols in the executables (-g) and profiling info (-pg)
- DEBUG=-g #-pg
-@@ -134,7 +98,7 @@
- CFLAGS+=$(shell if $(CC) -march=$(PROC) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-march=$(PROC)"; fi)
- endif
- 
--CFLAGS+=$(shell if uname -m | grep -q ppc; then echo "-fsigned-char"; fi)
-+CFLAGS+=$(shell if uname -m | grep -q "ppc\|arm\|s390\|s390x"; then echo "-fsigned-char"; fi)
- CFLAGS+=$(shell if [ -f /usr/include/osp/osp.h ]; then echo "-DOSP_SUPPORT -I/usr/include/osp" ; fi)
- 
- ifeq (${OSARCH},FreeBSD)
-@@ -162,7 +126,7 @@
- CFLAGS+=$(shell if [ -f /usr/include/linux/zaptel.h ]; then echo "-DZAPTEL_OPTIMIZATIONS"; fi)
- CFLAGS+=$(shell if [ -f /usr/local/include/zaptel.h ]; then echo "-DZAPTEL_OPTIMIZATIONS"; fi)
- 
--LIBEDIT=editline/libedit.a
-+LIBEDIT=-Leditline -ledit
- 
- ASTERISKVERSION=$(shell if [ -f .version ]; then cat .version; else if [ -d CVS ]; then if [ -f CVS/Tag ] ; then echo "CVS-`sed 's/^T//g' CVS/Tag`-`date +"%D-%T"`"; else echo "CVS-HEAD-`date +"%D-%T"`"; fi; fi; fi)
- HTTPDIR=$(shell if [ -d /var/www ]; then echo "/var/www"; else echo "/home/httpd"; fi)
-@@ -548,7 +512,7 @@
- 	fi 
- 
- dont-optimize:
--	$(MAKE) OPTIMIZE= K6OPT= install
-+	$(MAKE) OPTFLAGS= install
- 
- valgrind: dont-optimize
- 

Deleted: asterisk/branches/sarge/debian/patches/25_subdirs_Makefiles.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/25_subdirs_Makefiles.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/25_subdirs_Makefiles.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -1,40 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## apps_Makefile.dpatch by Jose Carlos Garcia Sogo <jsogo at debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Cleanup other subdirs Makefiles
-
- at DPATCH@
-diff -urNad asterisk-1.0.3/apps/Makefile /tmp/dpep.FJ3Q8L/asterisk-1.0.3/apps/Makefile
---- asterisk-1.0.3/apps/Makefile	2005-01-15 18:28:29.000000000 +0100
-+++ /tmp/dpep.FJ3Q8L/asterisk-1.0.3/apps/Makefile	2005-01-15 18:28:29.000000000 +0100
-@@ -90,7 +90,7 @@
- 	$(CC) $(SOLINK) -o $@ $< -lodbc
- 
- look:	look.c
--	$(CC) -pipe -O6 -g look.c -o look -lncurses
-+	$(CC) -pipe -g look.c -o look -lncurses
- 
- ifneq ($(wildcard .depend),)
- include .depend
-diff -urNad asterisk-1.0.3/codecs/lpc10/Makefile /tmp/dpep.FJ3Q8L/asterisk-1.0.3/codecs/lpc10/Makefile
---- asterisk-1.0.3/codecs/lpc10/Makefile	2005-01-15 18:28:29.000000000 +0100
-+++ /tmp/dpep.FJ3Q8L/asterisk-1.0.3/codecs/lpc10/Makefile	2005-01-15 18:28:29.000000000 +0100
-@@ -39,7 +39,7 @@
- ifeq ($(PROC),ultrasparc)
-         CFLAGS+= -mtune=$(PROC) -mcpu=v8 -O3 -fomit-frame-pointer
- else
--        CFLAGS+= -march=$(PROC)
-+	CFLAGS+=$(shell if $(CC) -march=$(PROC) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-march=$(PROC)"; fi)
- endif
- endif
- endif
-@@ -47,7 +47,7 @@
- endif
- endif
- 
--LIB = $(LIB_TARGET_DIR)/liblpc10.a
-+LIB = ./liblpc10.a
- 
- .PHONY: all clean
- 

Modified: asterisk/branches/sarge/debian/patches/30_ast-data-dir.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/30_ast-data-dir.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/30_ast-data-dir.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -5,6 +5,7 @@
 ## DP: Patch to make Asterisk conform with the Linux File System Hierarchy Standard (FHS)
 ## DP: Places read-only architecture-independent data under /usr/share/asterisk (autoconf --datadir)
 ## DP: not /var/lib/asterisk
+## -- is applied upstream for 1.2
 
 @DPATCH@
 diff -urNad asterisk-1.2.1.dfsg~/asterisk.c asterisk-1.2.1.dfsg/asterisk.c

Modified: asterisk/branches/sarge/debian/patches/40_initgroups.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/40_initgroups.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/40_initgroups.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -3,6 +3,7 @@
 ##
 ## All lines beginning with `## DP:' are a description of the patch.
 ## DP: does initialize groups of asterisk user if no -G is given.
+## -- applied upstream for 1.2
 
 @DPATCH@
 diff -urN asterisk-1.0.5.orig/asterisk.c asterisk-1.0.5/asterisk.c

Modified: asterisk/branches/sarge/debian/patches/arm.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/arm.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/arm.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -3,6 +3,7 @@
 ##
 ## All lines beginning with `## DP:' are a description of the patch.
 ## DP: No description.
+## -- applied upstream in 1.2 branch
 
 @DPATCH@
 diff -urNad asterisk-1.2.1.dfsg~/Makefile asterisk-1.2.1.dfsg/Makefile

Modified: asterisk/branches/sarge/debian/patches/chanzap_disable_r2.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/chanzap_disable_r2.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/chanzap_disable_r2.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -3,6 +3,7 @@
 ##
 ## All lines beginning with `## DP:' are a description of the patch.
 ## DP: disable the nunfunctional support for R2 in chan_zap
+## -- applied upstream for trunk (1.4.x)
 
 @DPATCH@
 diff -urNad asterisk-1.2.0.dfsg/channels/Makefile /tmp/dpep.54ZD6D/asterisk-1.2.0.dfsg/channels/Makefile

Modified: asterisk/branches/sarge/debian/patches/correct_pid_display.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/correct_pid_display.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/correct_pid_display.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -3,6 +3,7 @@
 ##
 ## All lines beginning with `## DP:' are a description of the patch.
 ## DP: Display the correct pid in the asterisk console. Closes: 338646
+## DP: Upstream bug: #7098 . Fixed in 1.4 and in 1.2 branch (remove on 1.2.8)
 @DPATCH@
 diff -Naur asterisk-1.2.1.dfsg.1/asterisk.c asterisk-1.2.1.dfsg.1.patched/asterisk.c
 --- asterisk-1.2.1.dfsg.1/asterisk.c	2005-11-16 13:36:55.308985128 -0600

Modified: asterisk/branches/sarge/debian/patches/nomarch.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/nomarch.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/nomarch.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -3,6 +3,7 @@
 ##
 ## All lines beginning with `## DP:' are a description of the patch.
 ## DP: Don't optimize for i686 anywhere
+## -- upstream will move to configure with 1.4
 
 @DPATCH@
 diff -urNad asterisk-1.2.0.dfsg~/Makefile asterisk-1.2.0.dfsg/Makefile

Modified: asterisk/branches/sarge/debian/patches/nooptimize.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/nooptimize.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/nooptimize.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -2,7 +2,8 @@
 ## nooptimize.dpatch by Kilian Krause <kilian at debian.org>
 ##
 ## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
+## DP: Make sure we respect Debian Policy and only compile -O2
+## -- fixed upstream in 1.2 branch
 
 @DPATCH@
 diff -urNad asterisk-1.2.0.dfsg~/Makefile asterisk-1.2.0.dfsg/Makefile

Modified: asterisk/branches/sarge/debian/patches/option_detach.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/option_detach.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/option_detach.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -3,6 +3,8 @@
 ##
 ## All lines beginning with `## DP:' are a description of the patch.
 ## DP: when running asterisk -D: detach, even if -v or -d was given
+## -- applied upstream as -F option to *force* forking
+## -- in trunk (will be 1.4.x)
 
 @DPATCH@
 diff -urNad asterisk/asterisk.c /tmp/dpep.ahsnFR/asterisk/asterisk.c

Modified: asterisk/branches/sarge/debian/patches/zap_restart.dpatch
===================================================================
--- asterisk/branches/sarge/debian/patches/zap_restart.dpatch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/patches/zap_restart.dpatch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -5,6 +5,7 @@
 ## DP: Adds a CLI command "zap restart" that destroys all zaptel channels and
 ## DP: re-loads zaptel configuration from scratch. 
 ## DP: Thus we have a "reload" for zaptel
+## -- applied upstream in trunk (1.4.x)
 
 @DPATCH@
 --- asterisk-1.2.6/channels/chan_zap.c	2006-04-09 02:40:48.000000000 +0300

Modified: asterisk/branches/sarge/debian/rules
===================================================================
--- asterisk/branches/sarge/debian/rules	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/rules	2006-05-07 18:08:11 UTC (rev 1742)
@@ -19,14 +19,8 @@
 
 export PROC := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-OPTFLAGS= -O2
+MAKEFLAGS = OPTIMIZE=-O2
 
-ifeq ($(DEB_HOST_ARCH),amd64)
-OPTFLAGS+= -m64
-endif
-
-export OPTFLAGS
-
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
 endif
@@ -45,7 +39,7 @@
 
 FILENAME := asterisk_$(UPVERSION).dfsg.orig.tar.gz
 UPFILENAME := asterisk_$(UPVERSION).orig.tar.gz
-URL := http://ftp2.digium.com/pub/asterisk/asterisk-$(UPVERSION).tar.gz
+URL := http://ftp2.digium.com/pub/asterisk/releases/asterisk-$(UPVERSION).tar.gz
 
 
 check-sounds:
@@ -96,9 +90,9 @@
 	dh_testdir
 
 	# Add here command to compile/build the package.
-	$(MAKE)
-	$(MAKE) -C channels/h323 opt
-	$(MAKE) -C $(BRISTUFF_DIR)
+	$(MAKE) $(MAKEFLAGS)
+	$(MAKE) $(MAKEFLAGS) -C channels/h323 opt
+	$(MAKE) $(MAKEFLAGS) -C $(BRISTUFF_DIR)
 
 	touch $@
 
@@ -176,6 +170,8 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
+	dh_installlogrotate -i 
+	dh_installinit -i -- defaults 21
 	dh_installdocs -i -XREADME.cygwin
 	dh_installexamples -i -XCVS
 	dh_installcron -i
@@ -196,8 +192,6 @@
 	dh_installdocs -a
 	dh_installman -pasterisk-classic -pasterisk-bristuff *.[1-8] debian/*.1 debian/*.8
 	dh_installexamples -a -XCVS
-	dh_installlogrotate -a --name=asterisk
-	dh_installinit -a --name=asterisk -- defaults 21
 	dh_installchangelogs ChangeLog -a
 	dh_strip -a
 	dh_link -a

Modified: asterisk/branches/sarge/debian/watch
===================================================================
--- asterisk/branches/sarge/debian/watch	2006-05-07 17:26:52 UTC (rev 1741)
+++ asterisk/branches/sarge/debian/watch	2006-05-07 18:08:11 UTC (rev 1742)
@@ -3,5 +3,5 @@
 
 # Full-site-with-pattern  [Version  [Action]]
 opts=dversionmangle=s/\.dfsg// \
-	http://ftp.digium.com/pub/asterisk/asterisk-([0-9].*)\.tar\.gz \
+	http://ftp.digium.com/pub/asterisk/asterisk-([\d.].*[\d])\.tar\.gz \
 	debian  svn-upgrade




More information about the Pkg-voip-commits mailing list